Summary: A tool to check DNSSEC capabilities of the local DNS resolvers
Name: dnssec-check
Version: 2.1
Release: 3%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.dnssec-tools.org/
Source0: https://www.dnssec-tools.org/download/%{name}-%{version}.tar.gz
Source1: dnssec-check.desktop
Patch1: dnssec-check-fix-install-path.2.1.patch
#Patch3: dnssec-check-add-missing-function-decl.1.12.1.patch
Patch4: dnssec-tools-2.1-fedora-qt5.patch
Patch5: dnssec-check-2.1-version-fix.patch
Patch6: dnssec-check-2.1-header-fix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt5-qtbase-devel qt5-qtconnectivity-devel qt5-qtscript-devel
BuildRequires: qt5-qtdeclarative-devel qt5-qtquick1-devel
BuildRequires: dnssec-tools-libs-devel >= 2.0
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils
Requires: dnssec-tools-libs >= 2.0

%description
DNSSEC-Check provides a GUI mechansim for scanning the system's
configured DNS resolvers to see if they support DNSSEC.  For each test
the utility displays a graphical red/green light indicating the result
of the test.  Clicking on a light will explain the status of the light
and what was tested.

%prep
%setup -q 

%patch1 -p5 -b .installpath
#%patch3 -p1 -b .fndecl
%patch4 -p5 -b .qt5fedora
%patch5 -p5 -b .versionfix
%patch6 -p5 -b .headerfix

%build
qmake-qt5 PREFIX=/usr
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
%{__install} -p -m 644 images/dnssec-check.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%{__mkdir_p} %{buildroot}/%{_mandir}/man1
%{__install} -p -D -m 644 man/dnssec-check.1 %{buildroot}/%{_mandir}/man1/dnssec-check.1

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING
%doc %{_mandir}/man1/*
%{_bindir}/dnssec-check
%{_datadir}/icons/hicolor/*/apps/*.svg
#%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/dnssec-check.desktop

%changelog
* Wed May 06 2015 Wes Hardaker <wjhns174@hardakers.net> - 2.1-3
- fix Qt5 headers

* Fri Sep 12 2014 Wes Hardaker <wjhns174@hardakers.net> - 2.1-2
- Attempt to fix issues with qt5 on fedora

* Mon Sep 08 2014 Wes Hardaker <wjhns174@hardakers.net> - 2.1-1
- 2.1 release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Wes Hardaker <wjhns174@hardakers.net> - 2.0-1
- 2.0 release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.14.0.1-2
- require the newer 1.14

* Mon Oct 15 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.14.0.1-1
- upstream build fixes

* Fri Oct 12 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.14-1
- upstream 1.14 release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.13-1
- new 1.13 upstream release

* Fri May 18 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12.3-2
- require dnssec-tools 1.12.1

* Tue Mar 27 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12.3-1
- 

* Fri Mar 23 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12.2-1
- 1.12.2 update

* Thu Mar 22 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12.1-1
- Update to 1.12.1

* Fri Feb  3 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-3
- Patch to use QML

* Thu Feb  2 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-2
- attempt forced rebuild for new dnssec-tools-libs

* Fri Jan 27 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-1
- Upgraded to version 1.12

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.p2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p2-1
- updated to upstream version with man page and COPYING file

* Mon Oct 17 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11-1
- Initial version for approval

